Index: PreferencesExtension.java
===================================================================
--- PreferencesExtension.java	(revision 38563)
+++ PreferencesExtension.java	(revision 38564)
@@ -4,6 +4,7 @@
 import java.util.HashMap;
 import java.util.Iterator;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.Launcher;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.plugins.Extension;
@@ -63,106 +64,32 @@
 	}
 
 	private void registerIcons(){
-		PluginServices.getIconTheme().registerDefault(
-				"application-preferences",
-				this.getClass().getClassLoader().getResource("images/config.png")
-			);
+		IconThemeHelper.registerIcon("action", "edit-setup", this);
 
-			// AppearancePage.java
-			PluginServices.getIconTheme().registerDefault(
-					"aplication-preferences-appearance",
-					this.getClass().getClassLoader().getResource("images/gnome-settings-theme.png")
-				);
-
-			// BrowserControlPage.java
-			PluginServices.getIconTheme().registerDefault(
-					"aplication-preferences-browsercontrol",
-					this.getClass().getClassLoader().getResource("images/browser.png")
-				);
-
-
-			// DirExtensionPage.java
-			PluginServices.getIconTheme().registerDefault(
-					"aplication-preferences-dirextension",
-					this.getClass().getClassLoader().getResource("images/file-manager.png")
-				);
-
-			// ExtensionPage.java
-			PluginServices.getIconTheme().registerDefault(
-					"aplication-preferences-extension",
-					this.getClass().getClassLoader().getResource("images/emblem-work.png")
-				);
-
-			// ExtensionsPage.java
-			PluginServices.getIconTheme().registerDefault(
-					"aplication-preferences-extensions",
-					this.getClass().getClassLoader().getResource("images/bonobo-component-browser.png")
-				);
-
-			// FolderingPage.java
-			PluginServices.getIconTheme().registerDefault(
-					"aplication-preferences-foldering",
-					this.getClass().getClassLoader().getResource("images/folder.png")
-				);
-
-			// LanguagePage.java
-			PluginServices.getIconTheme().registerDefault(
-					"aplication-preferences-language",
-					this.getClass().getClassLoader().getResource("images/babel.png")
-				);
-
-			// ScreenSettingsPage.java
-			PluginServices.getIconTheme().registerDefault(
-					"aplication-preferences-screensetting",
-					this.getClass().getClassLoader().getResource("images/resolution.png")
-				);
-			// FirewallPage.java
-			PluginServices.getIconTheme().registerDefault(
-					"aplication-preferences-firewall",
-					this.getClass().getClassLoader().getResource("images/shield.png")
-				);
-
-			// NetworkPage.java
-			//
-			PluginServices.getIconTheme().registerDefault(
-					"aplication-preferences-network",
-					this.getClass().getClassLoader().getResource("images/network.png")
-				);
-			PluginServices.getIconTheme().registerDefault(
-					"application-console",
-					this.getClass().getClassLoader().getResource("images/console.png")
-				);
-			PluginServices.getIconTheme().registerDefault(
-					"gnome-settings-theme",
-					this.getClass().getClassLoader().getResource("images/gnome-settings-theme.png")
-				);
-			PluginServices.getIconTheme().registerDefault(
-					"browser-icon",
-					this.getClass().getClassLoader().getResource("images/browser.png")
-				);
-			PluginServices.getIconTheme().registerDefault(
-					"file-manager",
-					this.getClass().getClassLoader().getResource("images/file-manager.png")
-				);
-			PluginServices.getIconTheme().registerDefault(
-					"emblem-work",
-					this.getClass().getClassLoader().getResource("images/emblem-work.png")
-				);
-			PluginServices.getIconTheme().registerDefault(
-					"folder-icon",
-					this.getClass().getClassLoader().getResource("images/folder.png")
-				);
-			PluginServices.getIconTheme().registerDefault(
-					"kde-network-online-icon",
-					this.getClass().getClassLoader().getResource("images/kde-network-online.png")
-				);
-			PluginServices.getIconTheme().registerDefault(
-					"kde-network-offline-icon",
-					this.getClass().getClassLoader().getResource("images/kde-network-offline.png")
-				);
-
-
-
+		// AppearancePage.java
+		IconThemeHelper.registerIcon("preferences", "edit-setup-appearance", this);
+		// BrowserControlPage.java
+		IconThemeHelper.registerIcon("preferences", "edit-setup-browsercontrol", this);
+		// DirExtensionPage.java
+		IconThemeHelper.registerIcon("preferences", "edit-setup-dirextension", this);
+		// ExtensionPage.java
+		IconThemeHelper.registerIcon("preferences", "edit-setup-extension", this);
+		// ExtensionsPage.java
+		IconThemeHelper.registerIcon("preferences", "edit-setup-extensions", this);
+		// GeneralPage.java
+		IconThemeHelper.registerIcon("preferences", "edit-setup-general", this);
+		// FolderingPage.java
+		IconThemeHelper.registerIcon("preferences", "edit-setup-foldering", this);
+		// LanguagePage.java
+		IconThemeHelper.registerIcon("preferences", "edit-setup-language", this);
+		// ScreenSettingsPage.java
+		IconThemeHelper.registerIcon("preferences", "edit-setup-screensetting", this);
+		// FirewallPage.java
+		IconThemeHelper.registerIcon("preferences", "edit-setup-firewall", this);
+		// NetworkPage.java
+		IconThemeHelper.registerIcon("preferences", "edit-setup-network", this);
+		// SkinPreferences.java
+		IconThemeHelper.registerIcon("preferences", "edit-setup-skin", this);
 	}
 
 	public void execute(String actionCommand) {
@@ -171,10 +98,11 @@
 			initializeExtensionsConfig();
 			this.initilizedExtensions = true;
 		}
-
-		DlgPreferences dlgPreferences=PluginServices.getDlgPreferences();
-		dlgPreferences.refreshExtensionPoints();
-		PluginServices.getMDIManager().addWindow(dlgPreferences);
+		if ("edit-setup".equalsIgnoreCase(actionCommand)) {
+			DlgPreferences dlgPreferences = PluginServices.getDlgPreferences();
+			dlgPreferences.refreshExtensionPoints();
+			PluginServices.getMDIManager().addWindow(dlgPreferences);
+		}
 	}
 	public boolean isEnabled() {
 		return true;