Index: branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.lib/org.gvsig.installer.lib.api/src/main/java/org/gvsig/installer/lib/api/InstallerManager.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.lib/org.gvsig.installer.lib.api/src/main/java/org/gvsig/installer/lib/api/InstallerManager.java	(revision 38577)
+++ branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.lib/org.gvsig.installer.lib.api/src/main/java/org/gvsig/installer/lib/api/InstallerManager.java	(revision 38578)
@@ -28,6 +28,8 @@
 package org.gvsig.installer.lib.api;
 
 import java.io.File;
+import java.io.IOException;
+import java.io.InputStream;
 import java.net.URL;
 import java.text.MessageFormat;
 import java.util.List;
@@ -37,6 +39,7 @@
 import org.gvsig.installer.lib.api.creation.MakePluginPackageServiceException;
 import org.gvsig.installer.lib.api.execution.InstallPackageService;
 import org.gvsig.installer.lib.api.execution.InstallPackageServiceException;
+import org.gvsig.tools.exception.BaseException;
 import org.gvsig.tools.service.Manager;
 
 /**
@@ -354,6 +357,17 @@
 	public Version createVersion();
 
 	public PackageInfo createPackageInfo();
+	
+	/**
+	 * Create a PackageInfo and load contents from the specified InputStream using the
+	 * default reader.
+	 * 
+	 * @param packegeinfo as URL
+	 * @return the created packageInfo
+	 * @throws IOException 
+	 * @throws BaseException 
+	 */
+	public PackageInfo createPackageInfo(InputStream packegeinfo) throws BaseException;
 
 	public PackageInfoWriter getDefaultPackageInfoWriter();
 
Index: branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.lib/org.gvsig.installer.lib.impl/src/main/java/org/gvsig/installer/lib/impl/info/InstallerInfoFileReader.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.lib/org.gvsig.installer.lib.impl/src/main/java/org/gvsig/installer/lib/impl/info/InstallerInfoFileReader.java	(revision 38577)
+++ branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.lib/org.gvsig.installer.lib.impl/src/main/java/org/gvsig/installer/lib/impl/info/InstallerInfoFileReader.java	(revision 38578)
@@ -131,7 +131,7 @@
 				installerInfoResource.setBuild(Integer.parseInt(build));
 			} catch (Exception e) {
 				installerInfoResource.setBuild(0);
-				LOG.warn(
+				LOG.info(
 						"Error while converting to int the "
 								+ InstallerInfoTags.BUILD + " property value: "
 								+ build, e);
@@ -147,7 +147,7 @@
 					installerInfoResource.setBuild(Integer.parseInt(oldBuild));
 				} catch (Exception e) {
 					installerInfoResource.setBuild(0);
-					LOG.warn("Error while converting to int the "
+					LOG.info("Error while converting to int the "
 							+ InstallerInfoTags.BUILD_OLD + " property value: "
 							+ oldBuild, e);
 				}
@@ -160,7 +160,7 @@
 					.getProperty(InstallerInfoTags.OFFICIAL)));
 		} catch (Exception e) {
 			installerInfoResource.setOfficial(false);
-			LOG.warn("Error while converting to boolean the "
+			LOG.info("Error while converting to boolean the "
 					+ InstallerInfoTags.OFFICIAL + " property value: "
 					+ properties.getProperty(InstallerInfoTags.OFFICIAL), e);
 		}
Index: branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.lib/org.gvsig.installer.lib.impl/src/main/java/org/gvsig/installer/lib/impl/DefaultInstallerManager.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.lib/org.gvsig.installer.lib.impl/src/main/java/org/gvsig/installer/lib/impl/DefaultInstallerManager.java	(revision 38577)
+++ branches/v2_0_0_prep/extensions/org.gvsig.installer/org.gvsig.installer.lib/org.gvsig.installer.lib.impl/src/main/java/org/gvsig/installer/lib/impl/DefaultInstallerManager.java	(revision 38578)
@@ -54,6 +54,7 @@
 import org.gvsig.installer.lib.impl.info.InstallerInfoFileWriter;
 import org.gvsig.tools.ToolsLocator;
 import org.gvsig.tools.dynobject.DynObject;
+import org.gvsig.tools.exception.BaseException;
 import org.gvsig.tools.extensionpoint.ExtensionPoint;
 import org.gvsig.tools.extensionpoint.ExtensionPointManager;
 import org.gvsig.tools.service.AbstractManager;
@@ -285,6 +286,13 @@
 		return new DefaultPackageInfo();
 	}
 
+	public PackageInfo createPackageInfo(InputStream stream) throws BaseException  {
+		PackageInfo pkg = new DefaultPackageInfo();
+		PackageInfoReader reader = this.getDefaultPackageInfoReader();
+		reader.read(pkg, stream);
+		return pkg;
+	}
+
 	public URL getDownloadBaseURL() {
 		return this.BaseDownloadURL;
 	}