Index: branches/v2_0_0_prep/frameworks/_fwAndami/src/org/gvsig/andami/actioninfo/impl/DefaultActionInfo.java
===================================================================
--- branches/v2_0_0_prep/frameworks/_fwAndami/src/org/gvsig/andami/actioninfo/impl/DefaultActionInfo.java	(revision 38619)
+++ branches/v2_0_0_prep/frameworks/_fwAndami/src/org/gvsig/andami/actioninfo/impl/DefaultActionInfo.java	(revision 38620)
@@ -1,222 +0,0 @@
-package org.gvsig.andami.actioninfo.impl;
-
-import java.awt.event.ActionEvent;
-import java.beans.PropertyChangeListener;
-
-import javax.swing.Action;
-import javax.swing.ImageIcon;
-import javax.swing.KeyStroke;
-
-import org.gvsig.andami.PluginServices;
-import org.gvsig.andami.PluginsLocator;
-import org.gvsig.andami.actioninfo.ActionInfo;
-import org.gvsig.andami.plugins.ExclusiveUIExtension;
-import org.gvsig.andami.plugins.ExtensionHelper;
-import org.gvsig.andami.plugins.IExtension;
-import org.gvsig.andami.ui.mdiFrame.KeyMapping;
-import org.gvsig.tools.swing.icontheme.IconTheme;
-import org.slf4j.Logger;
-import org.slf4j.LoggerFactory;
-
-public class DefaultActionInfo implements ActionInfo {
-    private static Logger logger = LoggerFactory.getLogger(DefaultActionInfo.class);
-    
-	private Class<? extends IExtension> extensionClass;
-	private IExtension extension;
-	private String name;
-	private String text;
-	private String command;
-	private String iconName;
-	private String accelerator;
-	private long position;
-	private String tip;
-	
-	DefaultActionInfo(Class<? extends IExtension> extension, String name, String text, String command, String icon, String accelerator, long position, String tip) {
-		this.extensionClass = extension;
-		this.name = name;
-		this.text = emptyToNull(text) ;
-		this.command = emptyToNull(command);
-		this.iconName = emptyToNull(icon);
-		this.accelerator = emptyToNull(accelerator);
-		this.position = position; 
-		this.tip = emptyToNull(tip);
-	}
-	
-
-	private String emptyToNull(String s) {
-		if( s==null ) {
-			return null;
-		}
-		return s.trim().length()<0 ? null:s;
-	}
-
-	public void merge(ActionInfo other) {
-		if( this.extensionClass == null ) {
-			this.extensionClass = other.getExtension().getClass() ;
-			this.extension = other.getExtension();
-		}
-		if( this.text == null  ) {
-			this.text = other.getLabel();
-		}
-		if( this.command == null  ) {
-			this.command = other.getCommand();
-		}
-		if( this.iconName == null ) {
-			this.iconName = other.getIconName();
-		}
-		if( this.accelerator == null  ) {
-			this.accelerator = other.getAccelerator();
-		}
-		if( this.position < 1 ) {
-			this.position = other.getPosition();
-		}
-		if( this.tip == null  ) {
-			this.tip = other.getTooltip();
-		}
-		
-	}
-	
-	public PluginServices getPlugin() {
-		PluginServices plugin = PluginsLocator.getManager().getPlugin(this.extensionClass);
-		return plugin;
-	}
-	
-	public String getPluginName() {
-		return this.getPlugin().getPluginDirectory().getName();
-	}
-	
-	public IExtension getExtension() {
-		if( this.extension == null ) {
-			this.extension = PluginsLocator.getManager().getExtension(this.extensionClass);
-		}
-		return this.extension;
-	}
-	
-	public String getExtensionName() {
-		return this.extensionClass.getName();
-	}
-
-	public boolean isVisible() {
-		ExclusiveUIExtension eui = PluginsLocator.getManager().getExclusiveUIExtension();
-        if (eui == null) {
-            return ExtensionHelper.isVisible(this.getExtension(), this.command);
-        }
-        return eui.isVisible(this.getExtension());
-	}
-	
-	public boolean isEnabled() {
-		ExclusiveUIExtension eui = PluginsLocator.getManager().getExclusiveUIExtension();
-        if (eui == null) {
-            return ExtensionHelper.isEnabled(this.getExtension(), this.command);
-        }
-        return eui.isEnabled(this.getExtension());
-	}
-	
-	public void execute() {
-        logger.info("{}.execute('{}')", this.getPluginName()+":"+this.getExtensionName(),  this.getCommand());
-		this.getExtension().execute(this.command);
-	}
-
-	public void execute(Object[] args) {
-        logger.info("{}.execute('{}')", this.getPluginName()+":"+this.getExtensionName(),  this.getCommand());
-        ExtensionHelper.execute(this.getExtension(), this.command, args);
-	}
-
-	public void execute(Object arg) {
-		if( arg instanceof Object[] ) {
-			execute((Object[])arg);
-			return;
-		}
-		execute( new Object[] { arg } );
-	}
-	
-	public void actionPerformed(ActionEvent arg0) {
-		this.execute();
-	}
-	
-	public String getName() {
-		return this.name;
-	}
-
-	public String getLabel() {
-		return this.text;
-	}
-
-	public String getCommand() {
-		return this.command;
-	}
-
-	public String getIconName() {
-		return this.iconName;
-	}
-
-	public ImageIcon getIcon() {
-		IconTheme iconTheme = PluginServices.getIconTheme();
-		return iconTheme.get(this.iconName);
-	}
-	
-	public String getAccelerator() {
-		return this.accelerator;
-	}
-
-	public KeyStroke getKeyStroke() {
-		if( emptyToNull(this.accelerator) == null ) {
-			return null;
-		}
-		return KeyMapping.getKeyStroke(this.accelerator);
-	}
-	
-	public long getPosition() {
-		return this.position;
-	}
-	public String getTooltip() {
-		return this.tip;
-	}
-
-	public void addPropertyChangeListener(PropertyChangeListener arg0) {
-		// not implemented
-	}
-
-	public Object getValue(String name) {
-		if( Action.ACTION_COMMAND_KEY.equalsIgnoreCase(name)) {
-			return this.command;
-		}
-		if( Action.LONG_DESCRIPTION.equalsIgnoreCase(name)) {
-			return this.tip;
-		}
-		if( Action.NAME.equalsIgnoreCase(name)) {
-			return this.name;
-		}
-		if( Action.SMALL_ICON.equalsIgnoreCase(name)) {
-			return this.iconName;
-			//return IconThemeManager.getIconThemeManager().getCurrent().get(this.iconName);
-		}
-		return null;
-	}
-
-	public void putValue(String arg0, Object arg1) {
-		
-	}
-
-	public void removePropertyChangeListener(PropertyChangeListener arg0) {
-		// not implemented
-	}
-
-	public void setEnabled(boolean arg0) {
-		// Do nothing
-	}
-	
-    public String toString() {
-    	StringBuffer buffer = new StringBuffer();
-    	buffer.append("ActionInfo {");
-    	buffer.append("name='").append(this.name).append("', ");
-    	buffer.append("label='").append(this.text).append("', ");
-    	buffer.append("tooltip='").append(this.tip).append("', ");
-    	buffer.append("actionCommand='").append(this.command).append("', ");
-    	buffer.append("position='").append(this.position).append("', ");
-    	buffer.append("icon='").append(this.iconName).append("', ");
-    	buffer.append("extension='").append(this.getExtensionName()).append("', ");
-    	buffer.append("accelerator='").append(this.accelerator).append("' }");
-    	return buffer.toString();
-	}
-}