Index: text_it.properties
===================================================================
--- text_it.properties	(revision 38623)
+++ text_it.properties	(revision 38624)
@@ -1,100 +1,97 @@
-#Translations for language [it]
-#Mon Sep 21 10:01:58 CEST 2009
-aceptar=Accetta
-cancel_the_application_termination=Termina la chiusura dell'applicazione
-cancelar=Cancella
-com.iver.andami.messages.Messages=Messaggi
-creating_main_window=
-deselect_all=Deseleziona tutto
-deselect_all_resources=Deseleziona tutte le risorse
-discard_changes=Scarta modifiche
-discard_changes_and_exit=Scarta le modifiche esistenti ed esce
-Ejecutando\ comando\:\ =Esegui comando\:
-en=in
-error_parsing_comboscale_elements=Errore nell'esame degli elementi ComboScale
-error_parsing_comboscale_value=Errore nell'esame del valore ComboScale
-Error_reading_andami_config_New_file_created_A_backup_was_made_on_=Errore nel leggere il file andami-config.xml. Verr\u00e0 creato un nuovo file. E' stata effettuata una copia di sicurezza in
-Error_reading_isocodes_file=Errore di lettura dei codici ISO della lingua
-Error_reading_plugin_persinstence_New_file_created_A_backup_was_made_on_=Errore nel leggere il file plugin-persistence.xml. Verr\u00e0 creato un nuovo file. E' stata effettuata una copia di sicurezza in
-Icon_not_found_=Icona non trovata
-incorrect_color=
-incorrect_position=
-incorrect_size=
-KeyMapping.Caracter_no_valido=Carattere non valido\:
-Launcher.config_mal_formado=. Documento 'config.xml' mal formato
-Launcher.config_no_encontrado=. Documento 'config.xml' non trovato
-Launcher.Dependencia_no_resuelta_en_plugin=La dipendenza non risulta in plugin
-Launcher.Dos_skin_extension=Due skin-extension. Usare l'ultima
-Launcher.Error_con_las_librerias_del_plugin=Errore con la libreria del plugin
-Launcher.error_getting_class_loader_for_status_bar_control=Errore nell'ottenere il loader delle classi per la barra di stato
-Launcher.Error_instanciando_la_extension=Errore ricorrendo all'estensione
-Launcher.Error_localizando_la_clase_de_la_extension=Errore localizzando la classe dell'estensione
-Launcher.Hay_dependencias_circulares=Ci sono dipendenze circolari tra i plugins
-Launcher.Ignorando_el_directorio=Ignorando il registro
-Launcher.labelset_class=Non si \u00e9 trovata la classe delle etichette (labelset)
-Launcher.look_and_feel=Non si \u00e9 potuto porre il 'look and feel'
-Launcher.No_se_encontro_la_clase_de_la_extension=Non si \u00e9 trovata la classe dell'estensione
-Launcher.No_se_encontro_la_clase_mdi_manager=No si \u00e9 trovata la classe mdi manager
-Launcher.No_se_pudo_acceder_a_la_clase_mdi_manager=Non si \u00e9 potuto accedere alla clase mdi manager
-Launcher.No_se_pudo_guardar_la_configuracion_de_andami=Non si \u00e9 potuta salvare la configurazione di Andami
-Launcher.No_se_pudo_instanciar_la_clase_mdi_manager=Non si \u00e9 potuto ricorrere alla classe mdi manager
-Launcher.No_se_puede_acceder_a=Non si puo' accedere a
-Launcher.Se_produjo_un_error_guardando_la_configuracion_de_los_plugins=Si \u00e9 prodotto un errore salvando la configurazione dei plugins
-Launcher.Two_extensions_with_the_same_priority=Due estensioni con la stessa priorita', se ne carichera' solo una.
-Launcher.Two_menus_with_the_same_position=Due men\u00fa con la stessa posizione, se ne carichera' solo uno
-login_exit=Uscita
-login_invalid_user=Utente non valido
-login_name=Nome
-login_ok=Ok
-login_password=Password
-MDIFrame.Error_no_capturado_por_el_usuario=Errore non catturato per l'usario
-MDIFrame.quiere_salir=Sei sicuro di voler uscire?
-MDIFrame.salir=Uscire
-MDIManagerFactory.No_skin_extension_in_the_plugins=Non si \u00e9 trovato nessuna estensione 'skin' tra i plugins
-memory_usage=
-Menu_type_not_supported_=
-Messages._no_se_encontro_la_traduccion_para=Non si \u00e9 incontrata la traduzione per
-Messages.no_se_encontro_la_traduccion_para=Non \u00e8 stata individuata la traduzione per
-No_extension_associated_with_this_event_=Nessuna estensione associata a questo evento
-No_se_encontro_la_extension_especificada_en_el_parametro_exclusiveUI=Non \u00e8 stata trovata l'estensione specificata nel parametro 'exclusiveUI'\:
-No_se_encontro_la_traduccion_para=Non si \u00e9 incontrata la traduzione per
-ok=Accetta
-PluginClassLoader.Dos_clases_con_el_mismo_nombre_en_el_plugin=Due classi con lo stesso nome nel plugin
-PluginClassLoader.Error_reading_file=Errore leggendo il file\:
-PluginServices.Bug\ en\ el\ c\u00f3digo=Errore dell'applicazione
-PluginServices.Bug_en_el_codigo=Bug nel codice
-PluginServices.Error\ grave\ de\ la\ aplicaci\u00f3n.\ \ \\n\ Es\ conveniente\ que\ salgas\ de\ la\ aplicaci\u00f3n=
-PluginServices.Error\ grave\ de\ la\ aplicaci\u00f3n.\ Es\ conveniente\ que\ salgas\ de\ la\ aplicaci\u00f3n=L'applicazione ha causato un errore grave. Si raccomanda caldamente di uscire dall'applicazione
-PluginServices.Error_grave_de_la_aplicaci\u00f3n=Errore dell'applicazione. Si raccomanda di riavviare l'applicazione.
-PluginServices.No_se_pudo_poner_el_reloj_de_arena=Non si \u00e9 potuta porre la clessidra
-PluginServices.No_se_pudo_restaurar_el_cursor_del_raton=Non si \u00e9 potuto riparare il cursore del mouse
-Preferences=Preferenze
-Resource_was_not_saved=La risorsa non \u00e8 stata salvata
-restore_defaults=Ripristina opzioni predefinite
-save_resources=Salva risorse
-save_selected_resources_and_exit=Salva le risorse selezionate ed esci
-select_all=Seleziona tutto
-select_all_resources=Seleziona tutti gli elementi
-select_resources_to_save_before_exit=Prima di uscire verranno salvate le risorse selezionate
-setting_up_event_queue=
-SplashWindow.configuring_proxy=
-SplashWindow.Iniciando=Iniziando...
-SplashWindow.initializing_extensions=
-SplashWindow.installing_extensions_controls=
-SplashWindow.installing_extensions_labels=
-SplashWindow.installing_extensions_menus=
-SplashWindow.loading_plugin_settings=
-SplashWindow.looking_for_a_skin=
-SplashWindow.looking_for_updates=
-SplashWindow.post_initializing_extensions=
-SplashWindow.preparing_workbench=
-SplashWindow.reading_plugins_config.xml=
-SplashWindow.setting_up_applications_name_and_icons=
-SplashWindow.setting_up_class_loaders=
-SplashWindow.setting_up_master_extension=
-SplashWindow.starting_plugin_internationalization_system=
-StatusBar.Aplicacion_iniciada=Applicazione iniziata
-The_following_resource_could_not_be_saved_=Le seguenti risorse non possono essere salvate\:
-Unable_to_find_icon=Impossibile trovare icona
-Window_properties_not_stored_correctly_Window_state_will_not_be_restored=
-y_en=e in
+#Translations for language [it]
+#Mon Jul 30 18:01:58 CEST 2012
+aceptar=Accetta
+cancel_the_application_termination=Annulla la chiusura dell'applicazione
+cancelar=Annulla
+com.iver.andami.messages.Messages=Messaggi
+deselect_all=Annulla selezione
+deselect_all_resources=Annulla la selezione di tutte le risorse
+discard_changes=Scarta modifiche
+discard_changes_and_exit=Scarta le modifiche ed esci
+Dont_close=Non chiudere
+Ejecutando\ comando\:\ =Esegui comando\:
+en=in
+error_parsing_comboscale_elements=Errore nell'esame degli elementi ComboScale
+error_parsing_comboscale_value=Errore nell'esame del valore ComboScale
+Error_reading_andami_config_New_file_created_A_backup_was_made_on_=Errore di lettura del file andami-config.xml. Sar\u00E0 creato un nuovo file. E' stata effettuata una copia di sicurezza in 
+Error_reading_isocodes_file=Errore di lettura dei codici ISO della lingua
+Error_reading_plugin_persinstence_New_file_created_A_backup_was_made_on_=Errore di lettura del file plugin-persistence.xml. Sar\u00E0 creato un nuovo file. E' stata effettuata una copia di sicurezza in 
+Icon_not_found_=Icona non trovata
+KeyMapping.Caracter_no_valido=Carattere non valido\:
+Launcher.config_mal_formado=. File 'config.xml' malformato
+Launcher.config_no_encontrado=. File 'config.xml' non trovato
+Launcher.Dependencia_no_resuelta_en_plugin=Dipendenza insoddisfatta nell'estensione 
+Launcher.Dos_skin_extension=Due skin-extension. Si usa l'ultima
+Launcher.Error_con_las_librerias_del_plugin=Errore con la libreria dell'estensione 
+Launcher.error_getting_class_loader_for_status_bar_control=Errore nel recupero del caricatore di classi per la barra di stato
+Launcher.Error_instanciando_la_extension=Errore di instanza dell'estensione 
+Launcher.Error_localizando_la_clase_de_la_extension=Errore nella ricerca della classe dell'estensione 
+Launcher.Hay_dependencias_circulares=Ci sono dipendenze circolari tra le estensioni
+Launcher.Ignorando_el_directorio=Si ignora la cartella 
+Launcher.labelset_class=Non \u00E8 possibile trovare la classe delle etichette (labelset)
+Launcher.look_and_feel=Non \u00E8 possibile impostare il 'look and feel'
+Launcher.No_se_encontro_la_clase_de_la_extension=Non \u00E8 stata trovata la classe dell'estensione 
+Launcher.No_se_encontro_la_clase_mdi_manager=Non \u00E8 stata trovata la classe mdi manager
+Launcher.No_se_pudo_acceder_a_la_clase_mdi_manager=Impossibile accedere alla clase mdi manager
+Launcher.No_se_pudo_guardar_la_configuracion_de_andami=Impossibile salvare la configurazione di Andami
+Launcher.No_se_pudo_instanciar_la_clase_mdi_manager=Impossibile instanziare la classe mdi manager
+Launcher.No_se_puede_acceder_a=Impossibile accedere a 
+Launcher.Se_produjo_un_error_guardando_la_configuracion_de_los_plugins=Errore nel salvataggio della configurazione delle estensioni 
+Launcher.Two_extensions_with_the_same_priority=Due estensioni con la stessa priorit\u00E0, se ne caricher\u00E0 solo una.
+Launcher.Two_menus_with_the_same_position=Due men\u00F9 con la stessa posizione, se ne caricher\u00E0 solo uno.
+login_exit=Esci
+login_invalid_user=Nome utente non valido
+login_name=Nome utente
+login_ok=Ok
+login_password=Password
+MDIFrame.Error_no_capturado_por_el_usuario=Errore imprevisto
+MDIFrame.quiere_salir=Uscire dall'applicazione?
+MDIFrame.salir=Esci
+MDIManagerFactory.No_skin_extension_in_the_plugins=L'estensione 'skin' non \u00E8 stata trovata tra quelle disponibili
+memory_usage=Memoria usata
+Messages._no_se_encontro_la_traduccion_para=Non \u00E8 possibile trovare la traduzione per
+Messages.no_se_encontro_la_traduccion_para=Non \u00E8 possibile trovare la traduzione per
+Modified_project_=Progetto modificato
+No_extension_associated_with_this_event_=Nessuna estensione associata a questo evento
+No_se_encontro_la_extension_especificada_en_el_parametro_exclusiveUI=Non \u00E8 stata trovata l'estensione specificata nel parametro 'exclusiveUI'\:
+No_se_encontro_la_traduccion_para=Non \u00E8 possibile trovare la traduzione per
+ok=Accetta
+PluginClassLoader.Dos_clases_con_el_mismo_nombre_en_el_plugin=Due classi con lo stesso nome nell'estensione
+PluginClassLoader.Error_reading_file=Errore di lettura del file\:
+PluginServices.Bug_en_el_codigo=Bug nel codice
+PluginServices.Bug\ en\ el\ c\u00F3digo=Errore dell'applicazione
+PluginServices.Error_grave_de_la_aplicaci\u00F3n=Errore grave dell'applicazione. Si raccomanda di riavviare l'applicazione.
+PluginServices.Error\ grave\ de\ la\ aplicaci\u00F3n.\ Es\ conveniente\ que\ salgas\ de\ la\ aplicaci\u00F3n=Errore grave dell'applicazione. Si raccomanda di riavviare l'applicazione.
+PluginServices.No_se_pudo_poner_el_reloj_de_arena=Non \u00E8 possibile impostare la clessidra
+PluginServices.No_se_pudo_restaurar_el_cursor_del_raton=Non \u00E8 possibile ripristinare il cursore del mouse
+Preferences=Preferenze
+Resource_was_not_saved=La risorsa non \u00E8 stata salvata
+restore_defaults=Ripristina opzioni predefinite
+save_resources=Salva risorse
+save_selected_resources_and_exit=Salva le risorse selezionate ed esci
+select_all=Seleziona tutto
+select_all_resources=Seleziona tutte le risorse
+Select_resources_to_save_before_closing_current_project=Seleziona le risorse da salvare prima di chiudere il progetto
+select_resources_to_save_before_exit=\  Seleziona le risorse da salvare prima di uscire dall'applicazione:
+SplashWindow.configuring_proxy=Configurazione del proxy...
+SplashWindow.Iniciando=Inizializzazione...
+SplashWindow.initializing_extensions=Inizializzazione delle estensioni...
+SplashWindow.installing_extensions_controls=Inizializzazione delle estensioni di controllo...
+SplashWindow.installing_extensions_labels=Inizializzazione delle estensioni di etichettatura...
+SplashWindow.installing_extensions_menus=Inizializzazione delle estensioni dei men\u00F9...
+SplashWindow.loading_plugin_settings=Caricamento delle estensioni...
+SplashWindow.looking_for_a_skin=Ricerca dello stile di visualizzazione...
+SplashWindow.looking_for_updates=Ricerca aggiornamenti...
+SplashWindow.post_initializing_extensions=Postinizializzazione delle estensioni...
+SplashWindow.preparing_workbench=Preparazione dello spazio di lavoro...
+SplashWindow.reading_plugins_config.xml=Lettura dei file di configurazione delle estensioni...
+SplashWindow.setting_up_applications_name_and_icons=Creazione dei nomi e delle icone dell'applicazione...
+SplashWindow.setting_up_class_loaders=Creazione dei caricatori delle classi...
+SplashWindow.setting_up_master_extension=Creazione dell'estensione principale...
+SplashWindow.starting_plugin_internationalization_system=Inizializzazione delle traduzioni...
+StatusBar.Aplicacion_iniciada=Applicazione in esecuzione...
+The_following_resource_could_not_be_saved_=Le seguenti risorse non possono essere salvate\:
+Unable_to_find_icon=Impossibile trovare l'icona
+Unnamed=Senza nome
+Unnamed_new_gvsig_project_=Progetto di gvSIG senza nome
+y_en=e in
\ No newline at end of file