Index: config.xml
===================================================================
--- config.xml	(revision 38763)
+++ config.xml	(revision 38764)
@@ -54,8 +54,8 @@
 
             <action 
                 name="show-grid-toggle-display-grid"
-                label="_Show_grid" 
-                tooltip="_Show_grid" 
+                label="_Toggle_show_grid" 
+                tooltip="_Toggle_show_grid" 
                 position="000400300100" 
                 action-command="show-grid-toggle-display-grid"
                 icon="show-grid-toggle-display-grid"
@@ -63,22 +63,9 @@
                 />
             <menu
                 name="show-grid-toggle-display-grid" 
-                text="Show/Grid/_Show_grid"
+                text="Show/Grid/_Toggle_show_grid"
                 />
-                
-            <action 
-                name="show-grid-toggle-hide-grid"
-                label="_Hide_grid" 
-                tooltip="_Hide_grid" 
-                position="000400300100" 
-                action-command="show-grid-toggle-hide-grid"
-                icon="show-grid-toggle-hide-grid"
-                accelerator="F7"
-                />
-            <menu
-                name="show-grid-toggle-hide-grid" 
-                text="Show/Grid/_Hide_grid"
-                />
+
 		</extension>
 		
         <!-- ================== -->
@@ -88,32 +75,19 @@
 			active="true">
 
             <action 
-                name="edit-toggle-enable-snapping"
-                label="_Enable_snapping" 
-                tooltip="_Enable_snapping" 
+                name="edit-toggle-snapping"
+                label="_Toggle_snapping" 
+                tooltip="_Toggle_snapping" 
                 position="000208000000" 
-                action-command="edit-toggle-enable-snapping"
-                icon="edit-toggle-enable-snapping"
+                action-command="edit-toggle-snapping"
+                icon="edit-toggle-snapping"
                 accelerator="F3"
                 />
             <menu
-                name="edit-toggle-enable-snapping" 
-                text="Edit/_Enable_snapping"
+                name="edit-toggle-snapping" 
+                text="Edit/_Toggle_snapping"
                 />
                 
-            <action 
-                name="edit-toggle-disable-snapping"
-                label="_Disable_snapping" 
-                tooltip="_Disable_snapping" 
-                position="000208000000" 
-                action-command="edit-toggle-disable-snapping"
-                icon="edit-toggle-disable-snapping"
-                accelerator="F3"
-                />
-            <menu
-                name="edit-toggle-disable-snapping" 
-                text="Edit/_Disable_snapping"
-                />
 		</extension>
 		
         <!-- ================== -->
@@ -123,32 +97,19 @@
 			active="true">
 
             <action 
-                name="show-grid-toggle-enable-snap-to-grid"
-                label="_Enable_snap_to_grid" 
-                tooltip="_Enable_snap_to_grid" 
+                name="show-grid-toggle-snap-to-grid"
+                label="_Toggle_snap_to_grid" 
+                tooltip="_Toggle_snap_to_grid" 
                 position="000400300200" 
-                action-command="show-grid-toggle-enable-snap-to-grid"
-                icon="show-grid-toggle-enable-snap-to-grid"
+                action-command="show-grid-toggle-snap-to-grid"
+                icon="show-grid-toggle-snap-to-grid"
                 accelerator="F9"
                 />
             <menu
-                name="show-grid-toggle-enable-snap-to-grid" 
-                text="Show/Grid/_Enable_snap_to_grid"
+                name="show-grid-toggle-snap-to-grid" 
+                text="Show/Grid/_Toggle_snap_to_grid"
                 />
-                
-            <action 
-                name="show-grid-toggle-disable-snap-to-grid"
-                label="_Disable_snap_to_grid" 
-                tooltip="_Disable_snap_to_grid" 
-                position="000400300200" 
-                action-command="show-grid-toggle-disable-snap-to-grid"
-                icon="show-grid-toggle-disable-snap-to-grid"
-                accelerator="F9"
-                />
-            <menu
-                name="show-grid-toggle-disable-snap-to-grid" 
-                text="Show/Grid/_Disable_snap_to_grid"
-                />
+
 		</extension>
 
         <!-- ================== -->