Index: pom.xml
===================================================================
--- pom.xml	(revision 40509)
+++ pom.xml	(revision 40510)
@@ -1,134 +1,134 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
-  <modelVersion>4.0.0</modelVersion>
-  <artifactId>org.gvsig.daltransform.app.join</artifactId>
-  <packaging>jar</packaging>
-  <name>Transformation: Join</name>
-  <description>This plugin allow join two tables by a common field and removing join.</description>
-  <parent>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.daltransform.app</artifactId>
-      <version>2.0.10-SNAPSHOT</version>
-  </parent>
-
-  <dependencies>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.andami</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.app.mainplugin</artifactId>
-      <scope>provided</scope>
-    </dependency>    
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.app.document.table.app.mainplugin</artifactId>
-      <scope>provided</scope>
-    </dependency>  
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.daltransform.app.mainplugin</artifactId>
-      <scope>provided</scope>
-    </dependency>  
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.fmap.control</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.fmap.geometry.api</artifactId>
-      <scope>provided</scope>
-    </dependency>  
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.fmap.dal.api</artifactId>
-      <scope>provided</scope>
-    </dependency>  
-    <dependency>
-        <groupId>org.gvsig</groupId>
-        <artifactId>org.gvsig.fmap.mapcontext.api</artifactId>
-        <scope>provided</scope>
-    </dependency>       
-    <dependency>
-        <groupId>org.gvsig</groupId>
-        <artifactId>org.gvsig.i18n</artifactId>
-        <scope>provided</scope>
-    </dependency> 
-    <dependency>
-        <groupId>org.gvsig</groupId>
-        <artifactId>org.gvsig.metadata.lib.basic.api</artifactId>
-        <scope>provided</scope>
-    </dependency>
-    <dependency>
-        <groupId>org.gvsig</groupId>
-        <artifactId>org.gvsig.projection.api</artifactId>
-        <scope>provided</scope>
-    </dependency>      
-    <dependency>
-        <groupId>org.gvsig</groupId>
-        <artifactId>org.gvsig.tools.lib</artifactId>
-        <scope>provided</scope>
-    </dependency>        
-    <dependency>
-        <groupId>org.gvsig</groupId>
-        <artifactId>org.gvsig.utils</artifactId>
-        <scope>provided</scope>
-    </dependency>
-    <dependency>
-        <groupId>jwizardcomponent</groupId>
-        <artifactId>jwizardcomponent</artifactId>
-        <scope>provided</scope>
-    </dependency>
-    <dependency>
-        <groupId>org.slf4j</groupId>
-        <artifactId>slf4j-api</artifactId>
-        <scope>provided</scope>
-    </dependency>
-    <!--TEST-->
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.daltransform.app.mainplugin</artifactId>
-      <type>test-jar</type>
-      <scope>test</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.fmap.dal.impl</artifactId>
-      <type>test-jar</type>
-      <scope>test</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.tools.lib</artifactId>
-      <type>test-jar</type>
-      <scope>test</scope>
-    </dependency>    
-  </dependencies>
-
-  <build>
-      <plugins>
-
-        <plugin>
-          <!-- Skip test execution -->
-          <groupId>org.apache.maven.plugins</groupId>
-          <artifactId>maven-surefire-plugin</artifactId>
-          <configuration>
-            <skipTests>true</skipTests>
-          </configuration>
-        </plugin>
-
-      </plugins>
-  </build>
-
-
-  <properties>
-      <gvsig.package.info.dependencies>required: org.gvsig.daltransform.app.mainplugin -ge 2</gvsig.package.info.dependencies>
-      <gvsig.package.info.categories>Data-transforms</gvsig.package.info.categories>
-      <gvsig.package.info.codealias>org.gvsig.app.join</gvsig.package.info.codealias>
-	  <gvsig.package.info.official>true</gvsig.package.info.official>
-  </properties>
-</project>
-
+<?xml version="1.0" encoding="UTF-8"?>
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+  <modelVersion>4.0.0</modelVersion>
+  <artifactId>org.gvsig.daltransform.app.join</artifactId>
+  <packaging>jar</packaging>
+  <name>Transformation: Join</name>
+  <description>This plugin allow join two tables by a common field and removing join.</description>
+  <parent>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.daltransform.app</artifactId>
+      <version>2.0.10</version>
+  </parent>
+
+  <dependencies>
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.andami</artifactId>
+      <scope>provided</scope>
+    </dependency>
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.app.mainplugin</artifactId>
+      <scope>provided</scope>
+    </dependency>    
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.app.document.table.app.mainplugin</artifactId>
+      <scope>provided</scope>
+    </dependency>  
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.daltransform.app.mainplugin</artifactId>
+      <scope>provided</scope>
+    </dependency>  
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.fmap.control</artifactId>
+      <scope>provided</scope>
+    </dependency>
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.fmap.geometry.api</artifactId>
+      <scope>provided</scope>
+    </dependency>  
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.fmap.dal.api</artifactId>
+      <scope>provided</scope>
+    </dependency>  
+    <dependency>
+        <groupId>org.gvsig</groupId>
+        <artifactId>org.gvsig.fmap.mapcontext.api</artifactId>
+        <scope>provided</scope>
+    </dependency>       
+    <dependency>
+        <groupId>org.gvsig</groupId>
+        <artifactId>org.gvsig.i18n</artifactId>
+        <scope>provided</scope>
+    </dependency> 
+    <dependency>
+        <groupId>org.gvsig</groupId>
+        <artifactId>org.gvsig.metadata.lib.basic.api</artifactId>
+        <scope>provided</scope>
+    </dependency>
+    <dependency>
+        <groupId>org.gvsig</groupId>
+        <artifactId>org.gvsig.projection.api</artifactId>
+        <scope>provided</scope>
+    </dependency>      
+    <dependency>
+        <groupId>org.gvsig</groupId>
+        <artifactId>org.gvsig.tools.lib</artifactId>
+        <scope>provided</scope>
+    </dependency>        
+    <dependency>
+        <groupId>org.gvsig</groupId>
+        <artifactId>org.gvsig.utils</artifactId>
+        <scope>provided</scope>
+    </dependency>
+    <dependency>
+        <groupId>jwizardcomponent</groupId>
+        <artifactId>jwizardcomponent</artifactId>
+        <scope>provided</scope>
+    </dependency>
+    <dependency>
+        <groupId>org.slf4j</groupId>
+        <artifactId>slf4j-api</artifactId>
+        <scope>provided</scope>
+    </dependency>
+    <!--TEST-->
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.daltransform.app.mainplugin</artifactId>
+      <type>test-jar</type>
+      <scope>test</scope>
+    </dependency>
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.fmap.dal.impl</artifactId>
+      <type>test-jar</type>
+      <scope>test</scope>
+    </dependency>
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.tools.lib</artifactId>
+      <type>test-jar</type>
+      <scope>test</scope>
+    </dependency>    
+  </dependencies>
+
+  <build>
+      <plugins>
+
+        <plugin>
+          <!-- Skip test execution -->
+          <groupId>org.apache.maven.plugins</groupId>
+          <artifactId>maven-surefire-plugin</artifactId>
+          <configuration>
+            <skipTests>true</skipTests>
+          </configuration>
+        </plugin>
+
+      </plugins>
+  </build>
+
+
+  <properties>
+      <gvsig.package.info.dependencies>required: org.gvsig.daltransform.app.mainplugin -ge 2</gvsig.package.info.dependencies>
+      <gvsig.package.info.categories>Data-transforms</gvsig.package.info.categories>
+      <gvsig.package.info.codealias>org.gvsig.app.join</gvsig.package.info.codealias>
+	  <gvsig.package.info.official>true</gvsig.package.info.official>
+  </properties>
+</project>
+