Index: pom.xml
===================================================================
--- pom.xml	(revision 40509)
+++ pom.xml	(revision 40510)
@@ -1,157 +1,157 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-
-<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
-  <modelVersion>4.0.0</modelVersion>
-  <artifactId>org.gvsig.exportto.app.mainplugin</artifactId>
-  <packaging>jar</packaging>
-  <name>Export framework</name>
-  <description>
-This plugin provide the framework to export data tables and layers to other
-formats that the original format of table or layer.
-Provide the final tools to export to the formats:
-- DBF
-- DXF
-- Shape
-- PostgreSQL
-- MySQL
-- Generic, a generic exporter to any format that gvsig support (less intuitive)
-  </description>
-
-  <parent>
-    <groupId>org.gvsig</groupId>
-    <artifactId>org.gvsig.exportto.app</artifactId>
-    <version>2.0.10-SNAPSHOT</version>
-  </parent>
-
-  <dependencies>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.andami</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.i18n</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.tools.lib</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.fmap.mapcontext.api</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.ui</artifactId>
-      <scope>provided</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.app.mainplugin</artifactId>
-      <scope>provided</scope>
-    </dependency>  
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.app.document.table.app.mainplugin</artifactId>
-      <scope>provided</scope>
-    </dependency>  
-
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.exportto.lib.api</artifactId>
-      <scope>compile</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.exportto.swing.api</artifactId>
-      <scope>compile</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.exportto.swing.spi</artifactId>
-      <scope>compile</scope>
-    </dependency>
-
-
-    <!-- Runtime dependencies -->
-
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.exportto.lib.impl</artifactId>
-      <scope>runtime</scope>
-    </dependency>
-
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.exportto.swing.impl</artifactId>
-      <scope>runtime</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.exportto.swing.prov.generic</artifactId>
-      <scope>runtime</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.exportto.swing.prov.file</artifactId>
-      <scope>runtime</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.exportto.swing.prov.shape</artifactId>
-      <scope>runtime</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.exportto.swing.prov.dxf</artifactId>
-      <scope>runtime</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.exportto.swing.prov.jdbc</artifactId>
-      <scope>runtime</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.exportto.swing.prov.postgresql</artifactId>
-      <scope>runtime</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.exportto.swing.prov.mysql</artifactId>
-      <scope>runtime</scope>
-    </dependency>     
-     <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.exportto.swing.prov.dbf</artifactId>
-      <scope>runtime</scope>
-    </dependency>     
-
-  </dependencies>
-
-  <build>
-      <plugins>
-
-        <plugin>
-          <!-- Skip test execution -->
-          <groupId>org.apache.maven.plugins</groupId>
-          <artifactId>maven-surefire-plugin</artifactId>
-          <configuration>
-            <skipTests>true</skipTests>
-          </configuration>
-        </plugin>
-
-      </plugins>
-  </build>
-
-  <properties>
-      <gvsig.package.info.dependencies>required: org.gvsig.app.document.table.app.mainplugin -ge 2, required: org.gvsig.exportto.app.extension -ge 1</gvsig.package.info.dependencies>
-      <gvsig.package.info.categories>Import And Export</gvsig.package.info.categories>
-      <gvsig.package.info.codealias>org.gvsig.exportto.app.extension</gvsig.package.info.codealias>
-	  <gvsig.package.info.official>true</gvsig.package.info.official>
-  </properties>  
-</project>
+<?xml version="1.0" encoding="ISO-8859-1"?>
+
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
+  <modelVersion>4.0.0</modelVersion>
+  <artifactId>org.gvsig.exportto.app.mainplugin</artifactId>
+  <packaging>jar</packaging>
+  <name>Export framework</name>
+  <description>
+This plugin provide the framework to export data tables and layers to other
+formats that the original format of table or layer.
+Provide the final tools to export to the formats:
+- DBF
+- DXF
+- Shape
+- PostgreSQL
+- MySQL
+- Generic, a generic exporter to any format that gvsig support (less intuitive)
+  </description>
+
+  <parent>
+    <groupId>org.gvsig</groupId>
+    <artifactId>org.gvsig.exportto.app</artifactId>
+    <version>2.0.10</version>
+  </parent>
+
+  <dependencies>
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.andami</artifactId>
+      <scope>provided</scope>
+    </dependency>
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.i18n</artifactId>
+      <scope>provided</scope>
+    </dependency>
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.tools.lib</artifactId>
+      <scope>provided</scope>
+    </dependency>
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.fmap.mapcontext.api</artifactId>
+      <scope>provided</scope>
+    </dependency>
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.ui</artifactId>
+      <scope>provided</scope>
+    </dependency>
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.app.mainplugin</artifactId>
+      <scope>provided</scope>
+    </dependency>  
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.app.document.table.app.mainplugin</artifactId>
+      <scope>provided</scope>
+    </dependency>  
+
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.exportto.lib.api</artifactId>
+      <scope>compile</scope>
+    </dependency>
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.exportto.swing.api</artifactId>
+      <scope>compile</scope>
+    </dependency>
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.exportto.swing.spi</artifactId>
+      <scope>compile</scope>
+    </dependency>
+
+
+    <!-- Runtime dependencies -->
+
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.exportto.lib.impl</artifactId>
+      <scope>runtime</scope>
+    </dependency>
+
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.exportto.swing.impl</artifactId>
+      <scope>runtime</scope>
+    </dependency>
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.exportto.swing.prov.generic</artifactId>
+      <scope>runtime</scope>
+    </dependency>
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.exportto.swing.prov.file</artifactId>
+      <scope>runtime</scope>
+    </dependency>
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.exportto.swing.prov.shape</artifactId>
+      <scope>runtime</scope>
+    </dependency>
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.exportto.swing.prov.dxf</artifactId>
+      <scope>runtime</scope>
+    </dependency>
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.exportto.swing.prov.jdbc</artifactId>
+      <scope>runtime</scope>
+    </dependency>
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.exportto.swing.prov.postgresql</artifactId>
+      <scope>runtime</scope>
+    </dependency>
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.exportto.swing.prov.mysql</artifactId>
+      <scope>runtime</scope>
+    </dependency>     
+     <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.exportto.swing.prov.dbf</artifactId>
+      <scope>runtime</scope>
+    </dependency>     
+
+  </dependencies>
+
+  <build>
+      <plugins>
+
+        <plugin>
+          <!-- Skip test execution -->
+          <groupId>org.apache.maven.plugins</groupId>
+          <artifactId>maven-surefire-plugin</artifactId>
+          <configuration>
+            <skipTests>true</skipTests>
+          </configuration>
+        </plugin>
+
+      </plugins>
+  </build>
+
+  <properties>
+      <gvsig.package.info.dependencies>required: org.gvsig.app.document.table.app.mainplugin -ge 2, required: org.gvsig.exportto.app.extension -ge 1</gvsig.package.info.dependencies>
+      <gvsig.package.info.categories>Import And Export</gvsig.package.info.categories>
+      <gvsig.package.info.codealias>org.gvsig.exportto.app.extension</gvsig.package.info.codealias>
+	  <gvsig.package.info.official>true</gvsig.package.info.official>
+  </properties>  
+</project>